organism <- "Drosophila melanogaster"
provider <- "BDGP"
release <- "Release5"
source_url <- "ftp://ftp.fruitfly.org/pub/download/compressed/dmel_release5.tgz"

# The sequence names are based on the BDGP file names (FASTA files,
# "na_" prefix and ".dmel.RELEASE5" suffix omitted):
seqnames <- c(
    "2LHet",
    "2RHet",
    "3LHet",
    "3RHet",
    "XHet",
    "YHet",
    "arm2L",
    "arm2R",
    "arm3L",
    "arm3R",
    "arm4",
    "armU",
    "armUextra",
    "armX"
)
mseqnames <- character(0)

# DON'T FORGET TO EXPORT THIS NAME!
Dmelanogaster <- new("BSgenome", organism, provider,
                     release, source_url, seqnames, mseqnames,
                     "BSgenome.Dmelanogaster.BDGP.Release5", "extdata")
